Skip to main content
GET
/
subscriptions
curl "https://api.khaime.com/api/v1/partner/subscriptions?status=active&limit=10" \
  -H "X-API-Key: pk_sandbox_your_key"

List Subscriptions

Retrieve all subscriptions for your merchant account with filtering and pagination.

Query Parameters

status
string
Filter by status: pending, active, due, cancelled, paused
product_id
integer
Filter by product ID.
limit
integer
default:"20"
Results per page (1-100).
offset
integer
default:"0"
Pagination offset.
sort_by
string
default:"created_at"
Sort field: created_at, next_payment, actual_price, payment_status
sort_order
string
default:"DESC"
ASC or DESC

Response

{
  "success": true,
  "data": {
    "subscriptions": [
      {
        "id": "sub_abc123",
        "product_id": 3046,
        "customer_email": "jane@example.com",
        "amount": 4999,
        "currency": "USD",
        "frequency": "monthly",
        "status": "active",
        "next_payment_date": "2026-02-16T21:05:00.000Z",
        "created_at": "2026-01-16T21:05:00.000Z"
      }
    ],
    "total": 1,
    "limit": 20,
    "offset": 0
  }
}
curl "https://api.khaime.com/api/v1/partner/subscriptions?status=active&limit=10" \
  -H "X-API-Key: pk_sandbox_your_key"